- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# /home/coin/SVN-release/OS-2.3.5/OS/src/OSSolverInterfaces/OSKnitroSolver.cpp File Reference

`#include "OSKnitroSolver.h"`
`#include "OSCommonUtil.h"`
`#include <dlfcn.h>`

Include dependency graph for OSKnitroSolver.cpp:

Go to the source code of this file.

## Functions
static int | wrapperEvalFC (const int evalRequestCode, const int n, const int m, const int nnzJ, const int nnzH, const double *const daX, const double *const daLambda, double *const dObj, double *const daC, double *const daG, double *const daJ, double *const daH, double *const daHV, void *userParams)
static int | wrapperEvalGA (const int evalRequestCode, const int n, const int m, const int nnzJ, const int nnzH, const double *const daX, const double *const daLambda, double *const dObj, double *const daC, double *const daG, double *const daJ, double *const daH, double *const daHV, void *userParams)
| By necessity this wrapper signature matches the function KTR_callback.
static int | wrapperEvalHorHV (const int evalRequestCode, const int n, const int m, const int nnzJ, const int nnzH, const double *const daX, const double *const daLambda, double *const dObj, double *const daC, double *const daG, double *const daJ, double *const daH, double *const daHV, void *userParams)
| By necessity this wrapper signature matches the function KTR_callback.
## Variables
static NlpProblemDef * | g_pTheNlpProblemDefInstance = NULL
static NlpProblemDef * | g_pOptProblem = NULL

## Function Documentation

static int wrapperEvalFC | ( | const int | evalRequestCode,
|  | const int | n,
|  | const int | m,
|  | const int | nnzJ,
|  | const int | nnzH,
|  | const double *const | daX,
|  | const double *const | daLambda,
|  | double *const | dObj,
|  | double *const | daC,
|  | double *const | daG,
|  | double *const | daJ,
|  | double *const | daH,
|  | double *const | daHV,
|  | void * | userParams |
| ) |  |  | `[static]`

Definition at line 45 of file OSKnitroSolver.cpp.

References g_pOptProblem.

Referenced by KnitroSolver::solve().

static int wrapperEvalGA | ( | const int | evalRequestCode,
|  | const int | n,
|  | const int | m,
|  | const int | nnzJ,
|  | const int | nnzH,
|  | const double *const | daX,
|  | const double *const | daLambda,
|  | double *const | dObj,
|  | double *const | daC,
|  | double *const | daG,
|  | double *const | daJ,
|  | double *const | daH,
|  | double *const | daHV,
|  | void * | userParams |
| ) |  |  | `[static]`

By necessity this wrapper signature matches the function KTR_callback.

It calls the current optimization problem's eval method.

Definition at line 80 of file OSKnitroSolver.cpp.

References g_pOptProblem.

Referenced by KnitroSolver::solve().

static int wrapperEvalHorHV | ( | const int | evalRequestCode,
|  | const int | n,
|  | const int | m,
|  | const int | nnzJ,
|  | const int | nnzH,
|  | const double *const | daX,
|  | const double *const | daLambda,
|  | double *const | dObj,
|  | double *const | daC,
|  | double *const | daG,
|  | double *const | daJ,
|  | double *const | daH,
|  | double *const | daHV,
|  | void * | userParams |
| ) |  |  | `[static]`

By necessity this wrapper signature matches the function KTR_callback.

It calls the current optimization problem's eval method.

Definition at line 115 of file OSKnitroSolver.cpp.

References g_pOptProblem.

Referenced by KnitroSolver::solve().

## Variable Documentation

NlpProblemDef* g_pTheNlpProblemDefInstance = NULL`[static]`

Definition at line 40 of file OSKnitroSolver.cpp.

NlpProblemDef* g_pOptProblem = NULL`[static]`

Definition at line 43 of file OSKnitroSolver.cpp.

Referenced by KnitroSolver::solve(), wrapperEvalFC(), wrapperEvalGA(), and wrapperEvalHorHV().